summaryrefslogtreecommitdiffstats
path: root/office/kile
diff options
context:
space:
mode:
author hollywoodb <hollywoodb@fastmail.fm>2010-05-11 19:46:14 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 19:46:14 +0200
commitca605988b889a47d9e2887c816b06ca52cd05288 (patch)
tree2892936dbb757c4cb718c4a53788a42454cfe280 /office/kile
parent38e9d0590684ae6ad2d59b718a292ad36e6590f9 (diff)
downloadslackbuilds-ca605988b889a47d9e2887c816b06ca52cd05288.tar.gz
slackbuilds-ca605988b889a47d9e2887c816b06ca52cd05288.tar.xz
office/kile: Updated for version 2.0
Diffstat (limited to 'office/kile')
-rw-r--r--office/kile/README28
-rw-r--r--office/kile/doinst.sh3
-rw-r--r--office/kile/kile.SlackBuild56
-rw-r--r--office/kile/kile.info8
-rw-r--r--office/kile/slack-desc14
5 files changed, 70 insertions, 39 deletions
diff --git a/office/kile/README b/office/kile/README
index f8836d02f1..638358ad47 100644
--- a/office/kile/README
+++ b/office/kile/README
@@ -1,14 +1,22 @@
Kile is a user friendly TeX/LaTeX editor for the KDE desktop environment.
-To Run Kile, you will be required to have the following components installed on
-your system:
- K Desktop environment (KDE): KDE is a popular open-source desktop environment.
- Qt: Qt is a C++ development tool needed to compile Kile.
- LATEX: a high-quality document typesetting program. Most likely you have (or
- want) the teTEX package, since you are on a Unix-like system.
+The main features are:
-Optional packages:
- KDVI: DVI viewer for KDE.
- GnuPlot: scientific plotting package.
- XFig: drawing program for X window.
+* Compile, convert and view your document with one click.
+* Auto-completion of (La)TeX commands
+* Templates and wizards make starting a new document very little work.
+* Easy insertion of many standard tags and symbols and the option to define
+ (an arbitrary number of) user defined tags.
+* Inverse and forward search: click in the DVI viewer and jump to the
+ corresponding LaTeX line in the editor, or jump from the editor to the
+ corresponding page in the viewer.
+* Finding chapter or sections is very easy, Kile constructs a list of all the
+ chapter etc. in your document. You can use the list to jump to the
+ corresponding section.
+* Collect documents that belong together into a project.
+* Easy insertion of citations and references when using projects.
+* Flexible and smart build system to compile your LaTeX documents.
+* QuickPreview, preview a selected part of your document.
+* Easy access to various help sources.
+* Advanced editing commands.
diff --git a/office/kile/doinst.sh b/office/kile/doinst.sh
index 872c37ab57..55d469fb0d 100644
--- a/office/kile/doinst.sh
+++ b/office/kile/doinst.sh
@@ -1,3 +1,4 @@
if [ -x usr/bin/update-desktop-database ]; then
- ./usr/bin/update-desktop-database ./opt/kde/share/applications >/dev/null 2>&1
+ usr/bin/update-desktop-database -q usr/share/applications
fi
+ \ No newline at end of file
diff --git a/office/kile/kile.SlackBuild b/office/kile/kile.SlackBuild
index 93b832b1c5..8a56cf0535 100644
--- a/office/kile/kile.SlackBuild
+++ b/office/kile/kile.SlackBuild
@@ -9,21 +9,18 @@
## did not write. Thanks.
# Modified by the SlackBuilds.org project
+# Modified by Michiel van Wessem <michiel@slackbuilds.org> to update
+# to version 2.0
-# Verify script is being run by root user.
-if [ "$(id -u)" != "0" ]; then
- echo "This script must be run as root!"
- exit
-fi
-
-NAME=kile
-VERSION=1.9.3
+PRGNAM=kile
+VERSION=2.0
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-CWD=`pwd`
+
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
-PKG=$TMP/package-$NAME
+PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
@@ -32,34 +29,49 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
-rm -rf $NAME-$VERSION
-tar -jxvf $CWD/$NAME-$VERSION.tar.bz2 || exit 1
-cd $NAME-$VERSION || exit 1
-chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+rm -rf $PRGNAM-$VERSION
+tar -jxvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+KDEPREF=$(kde-config --prefix)
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --disable-debug \
+ --prefix=$KDEPREF \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-debug \
|| exit 1
make || exit 1
make install DESTDIR=$PKG || exit 1
-find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find $PKG | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/ ; mv share/doc . )
-mkdir -p $PKG/usr/doc/$NAME-$VERSION
-cp -a AUTHORS COPYING ChangeLog INSTALL README TODO doc/TODO \
- $PKG/usr/doc/$NAME-$VERSION
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp Building-with-cmake.txt AUTHORS COPYING ChangeLog README* TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n -p $OUTPUT/$NAME-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/office/kile/kile.info b/office/kile/kile.info
index e7f764de03..ae02a3157e 100644
--- a/office/kile/kile.info
+++ b/office/kile/kile.info
@@ -1,8 +1,8 @@
PRGNAM="kile"
-VERSION="1.9.3"
+VERSION="2.0"
HOMEPAGE="http://kile.sourceforge.net/"
-DOWNLOAD="http://dl.sourceforge.net/kile/kile-1.9.3.tar.bz2"
-MD5SUM="0404b4be7bced7123111c49918130a1f"
+DOWNLOAD="http://dl.sourceforge.net/kile/kile-2.0.tar.bz2"
+MD5SUM="78fed6091aec3f1357c69f6462528ed2"
MAINTAINER="hollywoodb"
EMAIL="hollywoodb@fastmail.fm"
-APPROVED="robw810"
+APPROVED="David Somero"
diff --git a/office/kile/slack-desc b/office/kile/slack-desc
index 36268d7dee..678108c252 100644
--- a/office/kile/slack-desc
+++ b/office/kile/slack-desc
@@ -1,7 +1,17 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
kile: kile (TeX/LaTeX editor)
kile:
-kile: Kile is a user friendly TeX/LaTeX editor for the KDE desktop
-kile: environment.
+kile: Kile is a user friendly TeX/LaTeX front end for the KDE desktop
+kile: environment. Kile integrates many tools needed to develop documents
+kile: with LaTeX, in just one application.
kile:
+kile: homepage: http://kile.sourceforge.net
kile:
kile: